Subject: Re: bug#21994: Possible calendar mode bug

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Nov 2015 19:07:17 +0200

> Date: Mon, 23 Nov 2015 12:15:46 +0000
> From: jan <[email-masked]>
> 
> On previous versions of emacs I exported a monthly calendar using
> 
> M-x calendar <RET>
> 
> moved to a date then did
> 
> H y
> 
> which I could then tweak a little and print out.  This doesn't seem to
> work as expected in 24.5.1.  I run as a non-admin, but running as an
> admin to prevent any odd permission problems I get this in the
> *messages* buffer:
> 
> "
> Saving file c:/Users/Administrator/AppData/Roaming/public_html/2015/index.html...
> Wrote c:/Users/Administrator/AppData/Roaming/public_html/2015/index.html
> Preparing diary...
> diary-list-entries: Opening input file: no such file or directory,
> c:/Users/Administrator/AppData/Roaming/diary
> "
> So it actually produces an output index.html in
> C:\Users\Administrator\AppData\Roaming\public_html\2015 but moans
> about a diary?
> 
> However trying this as a non-admin/normal user I get this (%home% is
> C:\+++to_backup+++\to_backup\DVD 08-07-30\emacs_home, and I ask it to
> write to a folder C:\Users\jan\Desktop\cal)
> 
> "
> Saving file c:/Users/jan/Desktop/cal/c/index.html...
> Wrote c:/Users/jan/Desktop/cal/c/index.html
> Preparing diary...
> diary-list-entries: Opening input file: permission denied,
> c:/+++to_backup+++/to_backup/DVD 08-07-30/emacs_home/diary
> "
> 
> So it produces the index.html but gives a permission problem regarding
> the diary (why does it need the diary anyway?). I can go to the
> location (C:\+++to_backup+++\to_backup\DVD 08-07-30\emacs_home\diary)
> and create a file there so I've got permissions, and emacs is running
> under my permissions, so what's the problem?
> 
> Emacs 24.5.1 running on Windows 2008 R2.  Can anyone reproduce?

Your home directory most probably has weird access rights.  I suggest
to take ownership on the entire tree under C:\Users\jan, via the
Windows Explorer's "Security" tab; then restart Emacs and try again.
This will save you a lot of grief down the road.

Alternatively, change the value of %HOME% to point to a directory
outside the C:\Users\ hierarchy, preferably to another volume, like
D:\jan, if you can.  Putting user files on system disk is known to
cause trouble on latest versions of Windows.